<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__esss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_esss_t</compoundname>
    <includes local="no">cy_ble_ess.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__esss__t_1adf33d4da0edeb29444524d95aec3475b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_esss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Environmental Sensing Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="215" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="215" />
      </memberdef>
      <memberdef id="structcy__stc__ble__esss__t_1a4fc4aee6c9149e920b97e13b8ca46b9f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__esss__char__info__ptr__t">cy_stc_ble_esss_char_info_ptr_t</ref></type>
        <definition>cy_stc_ble_esss_char_info_ptr_t cy_stc_ble_esss_t::charInfoAddr[CY_BLE_ESS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_ESS_CHAR_COUNT]</argsstring>
        <name>charInfoAddr</name>
        <briefdescription>
<para>Environmental Sensing Service Array with pointers to Characteristic handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="220" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="220" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Environmental Sensing Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="507">
        <label>cy_stc_ble_esss_char_t</label>
        <link refid="structcy__stc__ble__esss__char__t" />
      </node>
      <node id="505">
        <label>cy_stc_ble_esss_t</label>
        <link refid="structcy__stc__ble__esss__t" />
        <childnode refid="506" relation="usage">
          <edgelabel>charInfoAddr</edgelabel>
        </childnode>
      </node>
      <node id="506">
        <label>cy_stc_ble_esss_char_info_ptr_t</label>
        <link refid="structcy__stc__ble__esss__char__info__ptr__t" />
        <childnode refid="507" relation="usage">
          <edgelabel>charInfoPtr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="221" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="212" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="213" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__esss__t_1a4fc4aee6c9149e920b97e13b8ca46b9f" virt="non-virtual"><scope>cy_stc_ble_esss_t</scope><name>charInfoAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__esss__t_1adf33d4da0edeb29444524d95aec3475b" virt="non-virtual"><scope>cy_stc_ble_esss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>